Subject: Re: [PATCH] Check mac-address first in fsl_soc.c

From: Timur Tabi <[email-masked]>
Date: Tue, 13 Feb 2007 15:23:04 -0600

Timur Tabi wrote:
> I just had an idea.  The mac-address change should really be extended to all 
> OF-enabled Ethernet drivers.  How about I put get_mac_address() in 
> arch/powerpc/kernel/prom.c, right after get_property(), instead of making it an 
> inline function just for fsl_soc.c?

Hmmm... if I do that, then get_mac_address() is no longer an init-only function. 
  That probably is a good thing, because then device trees can call it when 
they're loaded.  In that case, should I make null_mac_address[] static again?

And what about the name?  Should I call it of_get_mac_address()?  Plain old 
"get_mac_address" sounds like a namespace collision waiting to happen.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale